GNU bug report logs - #17791
24.3; dead keys

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Albert Ruiz <ru.albert@HIDDEN>; merged with #17241; dated Mon, 16 Jun 2014 10:54:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 17241 17791. Request was from Stefan Monnier <monnier@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17791 <at> debbugs.gnu.org:


Received: (at 17791) by debbugs.gnu.org; 20 Jun 2014 13:55:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 20 09:55:50 2014
Received: from localhost ([127.0.0.1]:54424 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WxzI9-0000Jk-QH
	for submit <at> debbugs.gnu.org; Fri, 20 Jun 2014 09:55:49 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:30952)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>)
 id 1WxzI1-0000Fj-K3; Fri, 20 Jun 2014 09:55:41 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECA3SDBMEjnoHhDgEqRmBaoNMIQ
X-IPAS-Result: ArYGAIDvNVNLd+D9/2dsb2JhbABZgwY7gw/APYEXF3SCJQEBAQECAVYjBQsLDiYSFBgNJIgECA3SDBMEjnoHhDgEqRmBaoNMIQ
X-IronPort-AV: E=Sophos;i="4.97,753,1389762000"; d="scan'208";a="68742817"
Received: from 75-119-224-253.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.224.253])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 20 Jun 2014 09:55:31 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 8B26B60D09; Fri, 20 Jun 2014 09:55:31 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Albert Ruiz <ru.albert@HIDDEN>
Subject: Re: bug#17791: 24.3; dead keys
Message-ID: <jwvppi3r8o7.fsf-monnier+emacsbugs@HIDDEN>
References: <CADedcjuEcGV-rvzrtnfKBA1nwec=31JUyuWRmPnFsqXKtoS79w@HIDDEN>
Date: Fri, 20 Jun 2014 09:55:31 -0400
In-Reply-To: <CADedcjuEcGV-rvzrtnfKBA1nwec=31JUyuWRmPnFsqXKtoS79w@HIDDEN>
 (Albert Ruiz's message of "Mon, 16 Jun 2014 08:13:17 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 17791
Cc: 17791 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

forcemerge 17791 17241
thanks

> I have just installed emacs 24 in Ubuntu. When I try to type an accented
> charecter, I get:

> <dead-acute> is undefined
> <dead-grave> is undefined

This is a known problem (see for example
https://bugs.launchpad.net/emacs-snapshot/+bug/1251176 where people
came up with some workarounds).

My understanding is that it's fixed in the 24.3.91 pretest.
Please confirm that 24.3.91 works correctly without the need for any of
the workarounds,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17791; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Jun 2014 10:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jun 16 06:53:16 2014
Received: from localhost ([127.0.0.1]:48773 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WwUXK-000658-1G
	for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 06:53:15 -0400
Received: from eggs.gnu.org ([208.118.235.92]:44377)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAd-0007LP-EF
 for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 02:13:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAV-0004gD-SI
 for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 02:13:26 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: **
X-Spam-Status: No, score=2.8 required=5.0 tests=BAYES_50,DEAR_SOMETHING,
 FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34931)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAV-0004g9-Ou
 for submit <at> debbugs.gnu.org; Mon, 16 Jun 2014 02:13:23 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46085)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAS-0007oq-Qa
 for bug-gnu-emacs@HIDDEN; Mon, 16 Jun 2014 02:13:23 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAQ-0004eo-BR
 for bug-gnu-emacs@HIDDEN; Mon, 16 Jun 2014 02:13:20 -0400
Received: from mail-oa0-x235.google.com ([2607:f8b0:4003:c02::235]:40039)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ru.albert@HIDDEN>) id 1WwQAQ-0004ei-2x
 for bug-gnu-emacs@HIDDEN; Mon, 16 Jun 2014 02:13:18 -0400
Received: by mail-oa0-f53.google.com with SMTP id l6so5155564oag.26
 for <bug-gnu-emacs@HIDDEN>; Sun, 15 Jun 2014 23:13:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type;
 bh=mEs19zDmbdjxPKL5y2xDgnpxnoPM5zN0e3Su6i9xxE8=;
 b=a1y4Zm8zjdcXXVu7//y3xaGct0o7C4vdrN/N0xD/mFmZI+tgaHGlMLCmZPLAsQCIVi
 HoMuu1WyB56FJsOqpzxcVOQcDQW+3MafidffByB0V8ZyDdhJQQNzIHaNqlnMIaAntXcW
 VCR5vGpWym6doTZmAgriHk8GOXZPQIGH1vJOMaXZ1YVMdMHLeXIBtbaUi56o8+hTLzSd
 eqGmNaXB6iFctCXpkEudwRrh1Cer9YwOtgRr4p7Pxz0NSOvWYYNBo2pFQszVwnGa3NAJ
 QlygOXwCMsWxheKMZiEZsHdbWBXyu73tAf7HOJBz+YKOzmv5cGx2eLiSsYcf69kBv9HY
 4XJQ==
MIME-Version: 1.0
X-Received: by 10.182.60.42 with SMTP id e10mr18119397obr.33.1402899197124;
 Sun, 15 Jun 2014 23:13:17 -0700 (PDT)
Received: by 10.202.1.21 with HTTP; Sun, 15 Jun 2014 23:13:17 -0700 (PDT)
Date: Mon, 16 Jun 2014 08:13:17 +0200
Message-ID: <CADedcjuEcGV-rvzrtnfKBA1nwec=31JUyuWRmPnFsqXKtoS79w@HIDDEN>
Subject: 24.3; dead keys
From: Albert Ruiz <ru.albert@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=047d7b673cb04ce75804fbedecfc
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 16 Jun 2014 06:53:11 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--047d7b673cb04ce75804fbedecfc
Content-Type: text/plain; charset=UTF-8

--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

Dear Sir or Madam,

I have just installed emacs 24 in Ubuntu. When I try to type an accented
charecter, I get:

<dead-acute> is undefined
<dead-grave> is undefined

Regards


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (i686-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on toyol, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:    Ubuntu 14.04 LTS

Configured using:
 `configure '--build' 'i686-linux-gnu' '--build' 'i686-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/i386-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=i686-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_MONETARY: fr_FR.UTF-8
  value of $LC_NUMERIC: fr_FR.UTF-8
  value of $LC_TIME: fr_FR.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: LaTeX

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<help-echo> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <down-mouse-4>
<mouse-4> C-x C-f t i t l <tab> <return> <down-mouse-1>
<mouse-movement> <mouse-1> <dead-acute> a a <backspace>
<backspace> <dead-grave> <dead-grave> <dead-grave>
<dead-acute> <dead-acute> <help-echo> <help-echo> <help-echo>
<help-echo> <help-echo> <help-echo> <help-echo> C-x
<kp-1> M-x s e t <tab> <tab> - k e <tab> <return> <tab>
<tab> c <backspace> s <tab> <backspace> <tab> <tab>
<help-echo> <down-mouse-5> <mouse-5> <down-mouse-5>
<mouse-5> <down-mouse-5> <mouse-5> <down-mouse-5> <mouse-5>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <down-mouse-4>
<mouse-4> <double-down-mouse-4> <double-mouse-4> <down-mouse-5>
<mouse-5> <double-down-mouse-5> <double-mouse-5> <down-mouse-4>
<mouse-4> <down-mouse-5> <mouse-5> <down-mouse-5> <mouse-5>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <down-mouse-5>
<mouse-5> <double-down-mouse-5> <double-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<down-mouse-5> <mouse-5> <double-down-mouse-5> <double-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <down-mouse-4> <mouse-4> <double-down-mouse-4>
<double-mouse-4> <down-mouse-4> <mouse-4> <double-down-mouse-4>
<double-mouse-4> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <triple-down-mouse-5>
<triple-mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <down-mouse-5> <mouse-5> <double-down-mouse-5>
<double-mouse-5> <triple-down-mouse-5> <triple-mouse-5>
<triple-down-mouse-5> <triple-mouse-5> <down-mouse-4>
<mouse-4> <help-echo> <escape> <escape> <escape> <help-echo>
<help-echo> C-x <kp-8> <return> <return> C-x <kp-8>
<return> <dead-grave> a <return> M-x x m o <tab> <tab>
<backspace> <backspace> <backspace> X M O <tab> <tab>
<tab> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> <backspace>
<backspace> <backspace> <backspace> <backspace> r <tab>
e p o <tab> r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Applying style hooks... done
Applying style hooks... done
Auto-saving...
Making completion list... [4 times]
byte-code: End of buffer
Quit
call-interactively: Wrong type argument: characterp, nil [2 times]
delete-backward-char: Text is read-only [10 times]
Making completion list... [2 times]

Load-path shadows:
/usr/share/emacs/24.3/site-lisp/debian-startup hides
/usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs24/site-lisp/latex-cjk-thai/thai-word hides
/usr/share/emacs/24.3/lisp/language/thai-word
/usr/share/emacs24/site-lisp/auctex/tex-fold hides
/usr/share/emacs/site-lisp/auctex/tex-fold
/usr/share/emacs24/site-lisp/auctex/tex hides
/usr/share/emacs/site-lisp/auctex/tex
/usr/share/emacs24/site-lisp/auctex/plain-tex hides
/usr/share/emacs/site-lisp/auctex/plain-tex
/usr/share/emacs24/site-lisp/auctex/bib-cite hides
/usr/share/emacs/site-lisp/auctex/bib-cite
/usr/share/emacs24/site-lisp/auctex/context-en hides
/usr/share/emacs/site-lisp/auctex/context-en
/usr/share/emacs24/site-lisp/auctex/tex-style hides
/usr/share/emacs/site-lisp/auctex/tex-style
/usr/share/emacs24/site-lisp/auctex/latex hides
/usr/share/emacs/site-lisp/auctex/latex
/usr/share/emacs24/site-lisp/auctex/prv-emacs hides
/usr/share/emacs/site-lisp/auctex/prv-emacs
/usr/share/emacs24/site-lisp/auctex/multi-prompt hides
/usr/share/emacs/site-lisp/auctex/multi-prompt
/usr/share/emacs24/site-lisp/auctex/toolbar-x hides
/usr/share/emacs/site-lisp/auctex/toolbar-x
/usr/share/emacs24/site-lisp/auctex/tex-buf hides
/usr/share/emacs/site-lisp/auctex/tex-buf
/usr/share/emacs24/site-lisp/auctex/context-nl hides
/usr/share/emacs/site-lisp/auctex/context-nl
/usr/share/emacs24/site-lisp/auctex/tex-bar hides
/usr/share/emacs/site-lisp/auctex/tex-bar
/usr/share/emacs24/site-lisp/auctex/tex-font hides
/usr/share/emacs/site-lisp/auctex/tex-font
/usr/share/emacs24/site-lisp/auctex/font-latex hides
/usr/share/emacs/site-lisp/auctex/font-latex
/usr/share/emacs24/site-lisp/auctex/tex-info hides
/usr/share/emacs/site-lisp/auctex/tex-info
/usr/share/emacs24/site-lisp/auctex/tex-jp hides
/usr/share/emacs/site-lisp/auctex/tex-jp
/usr/share/emacs24/site-lisp/auctex/texmathp hides
/usr/share/emacs/site-lisp/auctex/texmathp
/usr/share/emacs24/site-lisp/auctex/preview hides
/usr/share/emacs/site-lisp/auctex/preview
/usr/share/emacs24/site-lisp/auctex/tex-mik hides
/usr/share/emacs/site-lisp/auctex/tex-mik
/usr/share/emacs24/site-lisp/auctex/context hides
/usr/share/emacs/site-lisp/auctex/context

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils iso-transl help-mode preview prv-emacs warnings
tex-bar tex-buf toolbar-x noutline outline font-latex byte-opt bytecomp
byte-compile cconv latex easy-mmode edmacro kmacro tex-style tex dbus
xml advice help-fns cl-lib advice-preload easymenu latexenc
preview-latex tex-site auto-loads time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

--047d7b673cb04ce75804fbedecfc
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">--text follows this line--<br>This bug report will be sent=
 to the Bug-GNU-Emacs mailing list<br>and the GNU bug tracker at <a href=3D=
"http://debbugs.gnu.org">debbugs.gnu.org</a>.=C2=A0 Please check that<br>th=
e From: line contains a valid email address.=C2=A0 After a delay of up<br>
to one day, you should receive an acknowledgment at that address.<br><br>Pl=
ease write in English if possible, as the Emacs maintainers<br>usually do n=
ot have translators for other languages.<br><br>Please describe exactly wha=
t actions triggered the bug, and<br>
the precise symptoms of the bug.=C2=A0 If you can, give a recipe<br>startin=
g from `emacs -Q&#39;:<br><br>Dear Sir or Madam,<br><br>I have just install=
ed emacs 24 in Ubuntu. When I try to type an accented<br>charecter, I get:<=
br>
<br>&lt;dead-acute&gt; is undefined<br>&lt;dead-grave&gt; is undefined<br><=
br>Regards<br><br><br>If Emacs crashed, and you have the Emacs process in t=
he gdb debugger,<br>please include the output from the following gdb comman=
ds:<br>
=C2=A0=C2=A0=C2=A0 `bt full&#39; and `xbacktrace&#39;.<br>For information a=
bout debugging Emacs, please read the file<br>/usr/share/emacs/24.3/etc/DEB=
UG.<br><br><br>In GNU Emacs 24.3.1 (i686-pc-linux-gnu, GTK+ Version 3.10.7)=
<br>=C2=A0of 2014-03-07 on toyol, modified by Debian<br>
Windowing system distributor `The X.Org Foundation&#39;, version 11.0.11501=
000<br>System Description:=C2=A0=C2=A0=C2=A0 Ubuntu 14.04 LTS<br><br>Config=
ured using:<br>=C2=A0`configure &#39;--build&#39; &#39;i686-linux-gnu&#39; =
&#39;--build&#39; &#39;i686-linux-gnu&#39;<br>
=C2=A0&#39;--prefix=3D/usr&#39; &#39;--sharedstatedir=3D/var/lib&#39; &#39;=
--libexecdir=3D/usr/lib&#39;<br>=C2=A0&#39;--localstatedir=3D/var/lib&#39; =
&#39;--infodir=3D/usr/share/info&#39;<br>=C2=A0&#39;--mandir=3D/usr/share/m=
an&#39; &#39;--with-pop=3Dyes&#39;<br>
=C2=A0&#39;--enable-locallisppath=3D/etc/emacs24:/etc/emacs:/usr/local/shar=
e/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24=
.3/site-lisp:/usr/share/emacs/site-lisp&#39;<br>=C2=A0&#39;--with-crt-dir=
=3D/usr/lib/i386-linux-gnu&#39; &#39;--with-x=3Dyes&#39;<br>
=C2=A0&#39;--with-x-toolkit=3Dgtk3&#39; &#39;--with-toolkit-scroll-bars&#39=
;<br>=C2=A0&#39;build_alias=3Di686-linux-gnu&#39; &#39;CFLAGS=3D-g -O2 -fst=
ack-protector<br>=C2=A0--param=3Dssp-buffer-size=3D4 -Wformat -Werror=3Dfor=
mat-security -Wall&#39;<br>
=C2=A0&#39;LDFLAGS=3D-Wl,-Bsymbolic-functions -Wl,-z,relro&#39;<br>=C2=A0&#=
39;CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2&#39;&#39;<br><br>Important settings:<br=
>=C2=A0 value of $LC_MONETARY: fr_FR.UTF-8<br>=C2=A0 value of $LC_NUMERIC: =
fr_FR.UTF-8<br>=C2=A0 value of $LC_TIME: fr_FR.UTF-8<br>
=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dib=
us<br>=C2=A0 locale-coding-system: utf-8-unix<br>=C2=A0 default enable-mult=
ibyte-characters: t<br><br>Major mode: LaTeX<br><br>Minor modes in effect:<=
br>=C2=A0 tooltip-mode: t<br>
=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mo=
de: t<br>=C2=A0 file-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t=
<br>=C2=A0 font-lock-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-=
composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>
=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 tra=
nsient-mark-mode: t<br><br>Recent input:<br>&lt;help-echo&gt; &lt;down-mous=
e-5&gt; &lt;mouse-5&gt; &lt;double-down-mouse-5&gt; <br>&lt;double-mouse-5&=
gt; &lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; <br>
&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&=
gt; <br>&lt;triple-mouse-5&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;dou=
ble-down-mouse-5&gt; <br>&lt;double-mouse-5&gt; &lt;triple-down-mouse-5&gt;=
 &lt;triple-mouse-5&gt; <br>
&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;down-mouse-4&gt; <br=
>&lt;mouse-4&gt; C-x C-f t i t l &lt;tab&gt; &lt;return&gt; &lt;down-mouse-=
1&gt; <br>&lt;mouse-movement&gt; &lt;mouse-1&gt; &lt;dead-acute&gt; a a &lt=
;backspace&gt; <br>
&lt;backspace&gt; &lt;dead-grave&gt; &lt;dead-grave&gt; &lt;dead-grave&gt; =
<br>&lt;dead-acute&gt; &lt;dead-acute&gt; &lt;help-echo&gt; &lt;help-echo&g=
t; &lt;help-echo&gt; <br>&lt;help-echo&gt; &lt;help-echo&gt; &lt;help-echo&=
gt; &lt;help-echo&gt; C-x <br>
&lt;kp-1&gt; M-x s e t &lt;tab&gt; &lt;tab&gt; - k e &lt;tab&gt; &lt;return=
&gt; &lt;tab&gt; <br>&lt;tab&gt; c &lt;backspace&gt; s &lt;tab&gt; &lt;back=
space&gt; &lt;tab&gt; &lt;tab&gt; <br>&lt;help-echo&gt; &lt;down-mouse-5&gt=
; &lt;mouse-5&gt; &lt;down-mouse-5&gt; <br>
&lt;mouse-5&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;down-mouse-5&gt; &=
lt;mouse-5&gt; <br>&lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-down-mou=
se-5&gt; &lt;double-mouse-5&gt; <br>&lt;triple-down-mouse-5&gt; &lt;triple-=
mouse-5&gt; &lt;triple-down-mouse-5&gt; <br>
&lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; <=
br>&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;down-mouse-4&gt; =
<br>&lt;mouse-4&gt; &lt;double-down-mouse-4&gt; &lt;double-mouse-4&gt; &lt;=
down-mouse-5&gt; <br>
&lt;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double-mouse-5&gt; &lt;down=
-mouse-4&gt; <br>&lt;mouse-4&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;d=
own-mouse-5&gt; &lt;mouse-5&gt; <br>&lt;down-mouse-5&gt; &lt;mouse-5&gt; &l=
t;double-down-mouse-5&gt; &lt;double-mouse-5&gt; <br>
&lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double=
-mouse-5&gt; <br>&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;tri=
ple-down-mouse-5&gt; <br>&lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt;=
 &lt;triple-mouse-5&gt; <br>
&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;down-mouse-5&gt; <br=
>&lt;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double-mouse-5&gt; &lt;tri=
ple-down-mouse-5&gt; <br>&lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&gt;=
 &lt;triple-mouse-5&gt; <br>
&lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;double-down-mouse-5&gt; &lt;double=
-mouse-5&gt; <br>&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;tri=
ple-down-mouse-5&gt; <br>&lt;triple-mouse-5&gt; &lt;down-mouse-4&gt; &lt;mo=
use-4&gt; &lt;double-down-mouse-4&gt; <br>
&lt;double-mouse-4&gt; &lt;down-mouse-4&gt; &lt;mouse-4&gt; &lt;double-down=
-mouse-4&gt; <br>&lt;double-mouse-4&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt=
; &lt;double-down-mouse-5&gt; <br>&lt;double-mouse-5&gt; &lt;triple-down-mo=
use-5&gt; &lt;triple-mouse-5&gt; <br>
&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;triple-down-mouse-5&=
gt; <br>&lt;triple-mouse-5&gt; &lt;down-mouse-5&gt; &lt;mouse-5&gt; &lt;dou=
ble-down-mouse-5&gt; <br>&lt;double-mouse-5&gt; &lt;down-mouse-5&gt; &lt;mo=
use-5&gt; &lt;double-down-mouse-5&gt; <br>
&lt;double-mouse-5&gt; &lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; <=
br>&lt;triple-down-mouse-5&gt; &lt;triple-mouse-5&gt; &lt;down-mouse-4&gt; =
<br>&lt;mouse-4&gt; &lt;help-echo&gt; &lt;escape&gt; &lt;escape&gt; &lt;esc=
ape&gt; &lt;help-echo&gt; <br>
&lt;help-echo&gt; C-x &lt;kp-8&gt; &lt;return&gt; &lt;return&gt; C-x &lt;kp=
-8&gt; <br>&lt;return&gt; &lt;dead-grave&gt; a &lt;return&gt; M-x x m o &lt=
;tab&gt; &lt;tab&gt; <br>&lt;backspace&gt; &lt;backspace&gt; &lt;backspace&=
gt; X M O &lt;tab&gt; &lt;tab&gt; <br>
&lt;tab&gt; &lt;backspace&gt; &lt;backspace&gt; &lt;backspace&gt; &lt;backs=
pace&gt; <br>&lt;backspace&gt; &lt;backspace&gt; &lt;backspace&gt; &lt;back=
space&gt; &lt;backspace&gt; <br>&lt;backspace&gt; &lt;backspace&gt; &lt;bac=
kspace&gt; &lt;backspace&gt; r &lt;tab&gt; <br>
e p o &lt;tab&gt; r t &lt;tab&gt; &lt;return&gt;<br><br>Recent messages:<br=
>For information about GNU Emacs and the GNU system, type C-h C-a.<br>Apply=
ing style hooks... done<br>Applying style hooks... done<br>Auto-saving...<b=
r>
Making completion list... [4 times]<br>byte-code: End of buffer<br>Quit<br>=
call-interactively: Wrong type argument: characterp, nil [2 times]<br>delet=
e-backward-char: Text is read-only [10 times]<br>Making completion list... =
[2 times]<br>
<br>Load-path shadows:<br>/usr/share/emacs/24.3/site-lisp/debian-startup hi=
des /usr/share/emacs/site-lisp/debian-startup<br>/usr/share/emacs24/site-li=
sp/latex-cjk-thai/thai-word hides /usr/share/emacs/24.3/lisp/language/thai-=
word<br>
/usr/share/emacs24/site-lisp/auctex/tex-fold hides /usr/share/emacs/site-li=
sp/auctex/tex-fold<br>/usr/share/emacs24/site-lisp/auctex/tex hides /usr/sh=
are/emacs/site-lisp/auctex/tex<br>/usr/share/emacs24/site-lisp/auctex/plain=
-tex hides /usr/share/emacs/site-lisp/auctex/plain-tex<br>
/usr/share/emacs24/site-lisp/auctex/bib-cite hides /usr/share/emacs/site-li=
sp/auctex/bib-cite<br>/usr/share/emacs24/site-lisp/auctex/context-en hides =
/usr/share/emacs/site-lisp/auctex/context-en<br>/usr/share/emacs24/site-lis=
p/auctex/tex-style hides /usr/share/emacs/site-lisp/auctex/tex-style<br>
/usr/share/emacs24/site-lisp/auctex/latex hides /usr/share/emacs/site-lisp/=
auctex/latex<br>/usr/share/emacs24/site-lisp/auctex/prv-emacs hides /usr/sh=
are/emacs/site-lisp/auctex/prv-emacs<br>/usr/share/emacs24/site-lisp/auctex=
/multi-prompt hides /usr/share/emacs/site-lisp/auctex/multi-prompt<br>
/usr/share/emacs24/site-lisp/auctex/toolbar-x hides /usr/share/emacs/site-l=
isp/auctex/toolbar-x<br>/usr/share/emacs24/site-lisp/auctex/tex-buf hides /=
usr/share/emacs/site-lisp/auctex/tex-buf<br>/usr/share/emacs24/site-lisp/au=
ctex/context-nl hides /usr/share/emacs/site-lisp/auctex/context-nl<br>
/usr/share/emacs24/site-lisp/auctex/tex-bar hides /usr/share/emacs/site-lis=
p/auctex/tex-bar<br>/usr/share/emacs24/site-lisp/auctex/tex-font hides /usr=
/share/emacs/site-lisp/auctex/tex-font<br>/usr/share/emacs24/site-lisp/auct=
ex/font-latex hides /usr/share/emacs/site-lisp/auctex/font-latex<br>
/usr/share/emacs24/site-lisp/auctex/tex-info hides /usr/share/emacs/site-li=
sp/auctex/tex-info<br>/usr/share/emacs24/site-lisp/auctex/tex-jp hides /usr=
/share/emacs/site-lisp/auctex/tex-jp<br>/usr/share/emacs24/site-lisp/auctex=
/texmathp hides /usr/share/emacs/site-lisp/auctex/texmathp<br>
/usr/share/emacs24/site-lisp/auctex/preview hides /usr/share/emacs/site-lis=
p/auctex/preview<br>/usr/share/emacs24/site-lisp/auctex/tex-mik hides /usr/=
share/emacs/site-lisp/auctex/tex-mik<br>/usr/share/emacs24/site-lisp/auctex=
/context hides /usr/share/emacs/site-lisp/auctex/context<br>
<br>Features:<br>(shadow sort gnus-util mail-extr emacsbug message format-s=
pec rfc822 mml<br>mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 =
mailabbrev<br>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-u=
til<br>
mail-prsvr mail-utils iso-transl help-mode preview prv-emacs warnings<br>te=
x-bar tex-buf toolbar-x noutline outline font-latex byte-opt bytecomp<br>by=
te-compile cconv latex easy-mmode edmacro kmacro tex-style tex dbus<br>
xml advice help-fns cl-lib advice-preload easymenu latexenc<br>preview-late=
x tex-site auto-loads time-date tooltip ediff-hook vc-hooks<br>lisp-float-t=
ype mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt<br>fringe tabu=
lated-list newcomment lisp-mode register page menu-bar<br>
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax<br>face=
menu font-core frame cham georgian utf-8-lang misc-lang vietnamese<br>tibet=
an thai tai-viet lao korean japanese hebrew greek romanian slovak<br>czech =
european ethiopic indian cyrillic chinese case-table epa-hook<br>
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces<br>cus-fa=
ce macroexp files text-properties overlay sha1 md5 base64 format<br>env cod=
e-pages mule custom widget hashtable-print-readable backquote<br>make-netwo=
rk-process dbusbind dynamic-setting system-font-setting<br>
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)<br></div>

--047d7b673cb04ce75804fbedecfc--




Acknowledgement sent to Albert Ruiz <ru.albert@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17791; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.